Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationInstanceManager Class Reference

変換インスタンスマネージャ More...

`#include <TranslationInstanceManager.h>`

List of all members.

## Public Member Functions
| TranslationInstanceManager ()
| コンストラクタ
virtual | ~TranslationInstanceManager ()
| デストラクタ
virtual bool | collectInstances ()
| インスタンスの収集
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual int | clear ()
| クリア
virtual int | getCount () const
| インスタンス数の取得
virtual TranslationInstance * | get (int index) const
| インスタンスの取得
## Protected Member Functions
virtual bool | analysisInstance (MDagPath dagPath)
| インスタンスの解析
virtual TranslationInstance * | searchValidInstance (Scene *scene, TranslationInstance *instance)
| 解決できるインスタンスの検索
virtual bool | searchSceneNode (SceneNode *sceneNode, const String &targetName)
| シーンノードの検索

## Detailed Description

変換インスタンスマネージャ

Definition at line 41 of file TranslationInstanceManager.h.

## Member Function Documentation

bool LampForMaya::TranslationInstanceManager::analysisInstance | ( | MDagPath | dagPath | ) | `[protected, virtual]`

  | インスタンスの解析 Parameters:
  dagPath | DAGパス
Returns: 成功すればtrue Definition at line 102 of file TranslationInstanceManager.cpp. References LampForMaya::TranslationInstance::analyze(), and MayaStatusCheck. Referenced by collectInstances().

int LampForMaya::TranslationInstanceManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Definition at line 53 of file TranslationInstanceManager.cpp. Referenced by LampForMaya::TranslationScene::clear(), and ~TranslationInstanceManager().

bool LampForMaya::TranslationInstanceManager::collectInstances | ( |  | ) | `[virtual]`

| インスタンスの収集 Returns: 成功すればtrue Definition at line 70 of file TranslationInstanceManager.cpp. References analysisInstance(), and MayaStatusCheck. Referenced by LampForMaya::TranslationScene::collection().

bool LampForMaya::TranslationInstanceManager::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Definition at line 231 of file TranslationInstanceManager.cpp. Referenced by LampForMaya::TranslationScene::convertAnimation().

bool LampForMaya::TranslationInstanceManager::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | 変換先シーン
Returns: 成功すればtrue Definition at line 163 of file TranslationInstanceManager.cpp. References LampForMaya::TranslationInstance::convertToLamp(), and searchValidInstance(). Referenced by LampForMaya::TranslationScene::convertToLamp().

virtual TranslationInstance* LampForMaya::TranslationInstanceManager::get | ( | int | index | ) | const`[inline, virtual]`

  | インスタンスの取得 Parameters:
  index | インスタンスのインデクス
Returns: インスタンス Definition at line 92 of file TranslationInstanceManager.h.

virtual int LampForMaya::TranslationInstanceManager::getCount | ( |  | ) | const`[inline, virtual]`

| インスタンス数の取得 Returns: インスタンス数 Definition at line 85 of file TranslationInstanceManager.h.

bool LampForMaya::TranslationInstanceManager::searchSceneNode | ( | SceneNode * | sceneNode,
|  | const String & | targetName
| ) | `[protected, virtual]`

  | シーンノードの検索 Parameters:
  sceneNode | 検索対象シーンノード
  targetName | 検索する名前
Returns: 名前のシーンノードかモデルが存在すればtrue Definition at line 210 of file TranslationInstanceManager.cpp. Referenced by searchValidInstance().

TranslationInstance * LampForMaya::TranslationInstanceManager::searchValidInstance | ( | Scene * | scene,
|  | TranslationInstance * | instance
| ) | `[protected, virtual]`

  | 解決できるインスタンスの検索 Parameters:
  scene | 変換先シーン
  instance | 解決するインスタンス
Returns: 解決したインスタンス Definition at line 181 of file TranslationInstanceManager.cpp. References LampForMaya::TranslationInstance::getName(), LampForMaya::TranslationInstance::isTranslationSceneNodeInstance(), and searchSceneNode(). Referenced by convertToLamp().

The documentation for this class was generated from the following files:

- TranslationInstanceManager.h
- TranslationInstanceManager.cpp